#1 2017-08-10 22:24:33

Baba B
Invité

Messages d'erreur suite à upgrade vers la version 2.9.1

Bonsoir tous

Je viens de migrer de la version 2.8.2 vers 2.9.1 via l'interface d'administration.
Aucune erreur n'a été relevée lors de la migration.

Hormis la perte du thème par défaut à reconfigurer, tout se passe correctement lors de la navigation.

Parmi les problèmes rencontrés :
  1/  Un message d'erreur s'affiche lors de la navigation

Code:

Warning: [mysql error 1054] Unknown column 'last_visit' in 'field list'

UPDATE pwg_user_infos
  SET last_visit = NOW(),
      lastmodified = lastmodified
  WHERE user_id = 2
 in /abcd/piwigo/include/dblayer/functions_mysqli.inc.php on line 845
Call Stack
#  Time  Memory  Function  Location
1  0.0002  359272  {main}(  )  .../index.php:0
2  0.1322  1145616  pwg_log(  )  .../index.php:374
3  0.1322  1145744  pwg_query(  )  .../functions.inc.php:429
4  0.1326  1145792  my_error(  )  .../functions_mysqli.inc.php:147
5  0.1327  1145984  trigger_error
(  )  .../functions_mysqli.inc.php:845

2/ Un autre message d'erreur s'affiche lors d'un lancement de l'outil de maintenance "Réparer et optimiser la base de données"

Code:

Warning: [mysql error 1067] Invalid default value for 'date' ALTER TABLE pwg_comments ORDER BY id; in /abcd/piwigo/include/dblayer/functions_mysqli.inc.php on line 845
Call Stack
#  Time  Memory  Function  Location
1  0.0005  359488  {main}( )  .../admin.php:0
2  0.0870  777392  include( '/abcd/piwigo/admin/maintenance.php' )  .../admin.php:309
3  0.0872  782088  do_maintenance_all_tables( )  .../maintenance.php:173
4  0.7014  808696  pwg_query( )  .../functions_mysqli.inc.php:652
5  0.7023  808744  my_error( )  .../functions_mysqli.inc.php:147
6  0.7023  808872  trigger_error ( )  .../functions_mysqli.inc.php:845

3/ Une tentative d'édition d'un utilisateur se solde par un popup se chargeant indéfiniment (affichage du message éternel "Chargement").

Auriez-vous une idée pour déplomber la situation ?

Merci,


Version de Piwigo: migration de 2.8.2 vers 2.9.1
Version de PHP: 7.0.22-2+ubuntu16.04.1+deb.sury.org+1
Version de MySQL: 5.7.19-0ubuntu0.16.04.1

#2 2017-08-10 22:48:55

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,

Dans ta base de données dans la table *_upgrade c'est quoi la valeur la plus élevé ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#3 2017-08-11 20:54:15

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,

Voici les dernières lignes de la table correspondant à la migration vers la 2.9.1:

Code:

 id |  applied         |     description
----+------------------+-----------------------------------------------------------------------------------
149 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.048 s] add last_visit+last_visit_from_history in user_infos table
150 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.161 s] add history_id_from+history_id_to in history_summary table
151 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.002 s] add "picture_sizes_icon" and "index_sizes_icon" parameters
152 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.003 s] add 5 parameters to show/hide icons (edit/caddie/repressentative)

Merci

#4 2017-08-11 23:23:27

Fantomas
Membre
Lieu: Saint Just Chaleyssin
Date d'inscription: 2009-04-16
Messages: 8

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour à tous,

Je viens aussi de migrer vers la version 2.9.1 .

1) J'ai traité l'erreur fixes #710, avoid using get_gallery_home_url() avec
https://github.com/Piwigo/Piwigo/blob/e … cation.php

Merci pour ce fix de l'erreur.

2) J'ai le meme message d'erreur que Baba B et je ne sais ou chercher.

Warning:  [mysql error 1054] Unknown column 'last_visit' in 'field list'

UPDATE nw_user_infos
  SET last_visit = NOW(),
      lastmodified = lastmodified
  WHERE user_id = 1
in /var/www/html/piwigo/include/dblayer/functions_mysqli.inc.php on line 845

L'opération Maintenance>Réparer et oprimiser la base de données donne une erreur en rouge
"Les optimisations réalisées comportent certaines erreurs".

Auriez-vous déjà rencontré le problème ?

Merci


    Piwigo 2.9.1
    Système d'exploitation: Linux
    PHP: 7.0.22-0ubuntu0.16.04.1 (Montrer les informations) [2017-08-11 23:20:38]
    MySQL: 5.7.19-0ubuntu0.16.04.1 [2017-08-11 23:20:38]
    Bibliothèque graphique: GD 2.1.1


Site sur NAS NSLU2 avec Piwigo + Ploader

Hors ligne

#5 2017-08-12 06:19:19

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Baba B a écrit:

Bonjour,

Voici les dernières lignes de la table correspondant à la migration vers la 2.9.1:

Code:

 id |  applied         |     description
----+------------------+-----------------------------------------------------------------------------------
149 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.048 s] add last_visit+last_visit_from_history in user_infos table
150 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.161 s] add history_id_from+history_id_to in history_summary table
151 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.002 s] add "picture_sizes_icon" and "index_sizes_icon" parameters
152 | 10/08/2017 21:39 | [migration from 2.8.0 to 2.9.1, 0.003 s] add 5 parameters to show/hide icons (edit/caddie/repressentative)

Merci

Bonjour,

je dirais que la migration 149 n'est pas bien passé
supprime les lignes à partir de 149 et relance la mise à jour


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#6 2017-08-12 07:39:01

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Merci,

J'ai supprimé les lignes avec un id >= 149.
Pour un upgrade, je passe traditionnellement par l'interface d'administration qui me détecte la nouvelle version.

Pour cette fois-ci, la page d'accueil m'indique que je suis dans la dernière version de Piwigo.

Comment puis-je procéder ?

#7 2017-08-12 11:15:13

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,

tu rajoutes

upgrade.php à ton site il devrait lancer les mise à jour

si cela ne fonctionne pas ajoute en conf local

$conf['check_upgrade_feed'] = true;


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#8 2017-08-12 11:54:59

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Opération effectuée.
Les messages persistent...

#9 2017-08-12 12:59:20

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Baba B a écrit:

Opération effectuée.
Les messages persistent...

Il a fait les mise à jour ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#10 2017-08-12 14:11:42

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Les lignes sont réapparues dans la table *_upgrade.

Y-a-t-il d'autres éléments à vérifier pour s'assurer que la mise à jour est complète ?
Merci encore

#11 2017-08-15 19:55:02

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Baba B a écrit:

Les lignes sont réapparues dans la table *_upgrade.

Y-a-t-il d'autres éléments à vérifier pour s'assurer que la mise à jour est complète ?
Merci encore

Le message d'erreur est exactement le même ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#12 2017-08-16 09:04:11

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Oui, les trois symptômes évoqués dans le premier post sont identiques.

#13 2017-08-18 09:01:37

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,

peux tu recomencer en supprimant également le 149


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#14 2017-08-18 10:56:37

Baba B
Invité

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,
Toutes les lignes avec un id supérieur ou égal à 149 ont été supprimées avant les tests.

#15 2017-08-21 22:53:28

ddtddt
Équipe Piwigo
Lieu: Quetigny (21) - France
Date d'inscription: 2007-07-27
Messages: 13833
Site web

Re: Messages d'erreur suite à upgrade vers la version 2.9.1

Bonjour,

user guest est bien toujours présent dans la base de données ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

Pied de page des forums

Propulsé par FluxBB